Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodValue

    java.lang.Object
      com.beasys.commerce.foundation.SmartValue
          com.beasys.commerce.ebusiness.shipping.ShippingMethodValue

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ShippingMethodValue

extends SmartValue

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculations.

See Also
  Serialized Form

Field Summary
`int` | `averageShippingTime` Deprecated See BEA Commerce product offering
`String` | `carrier` Deprecated See BEA Commerce product offering
`String` | `costCalculationMechanism` Deprecated See BEA Commerce product offering
`String` | `description` Deprecated See BEA Commerce product offering
`String` | `identifier` Deprecated See BEA Commerce product offering
`boolean` | `internationalDelivery` Deprecated See BEA Commerce product offering
`String` | `method` Deprecated See BEA Commerce product offering
`String` | `packagingType` Deprecated See BEA Commerce product offering
`double` | `percentage` Deprecated See BEA Commerce product offering
`boolean` | `poBoxAllowed` Deprecated See BEA Commerce product offering
`Money` | `price` Deprecated See BEA Commerce product offering
`String` | `restrictions` Deprecated See BEA Commerce product offering
`boolean` | `saturdayDelivery` Deprecated See BEA Commerce product offering
`boolean` | `signatureRequired` Deprecated See BEA Commerce product offering
`double` | `sizeLimit` Deprecated See BEA Commerce product offering
`double` | `weightLimit` Deprecated See BEA Commerce product offering

Constructor Summary
`protected` | `ShippingMethodValue()` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated See BEA Commerce product offering
  A key that uniquely identifies this shipping method.

### sizeLimit

    public double sizeLimit

  Deprecated See BEA Commerce product offering
  The maximum deliverable quantity.

### description

    public String description

  Deprecated See BEA Commerce product offering
  A textual description of this shipping mechanism.

### signatureRequired

    public boolean signatureRequired

  Deprecated See BEA Commerce product offering
  True if the customer is required to acknowledge delivery with a signature.

### weightLimit

    public double weightLimit

  Deprecated See BEA Commerce product offering
  The maximum weight limit for this shipping mechanism.

### percentage

    public double percentage

  Deprecated See BEA Commerce product offering
  Used when the shipping cost is a percentage of the total value of the order.

### poBoxAllowed

    public boolean poBoxAllowed

  Deprecated See BEA Commerce product offering
  True if this mechanism will allow delivery to a post office box.

### restrictions

    public String restrictions

  Deprecated See BEA Commerce product offering
  A description of any restrictions that apply to this shipping mechanism.

### averageShippingTime

    public int averageShippingTime

  Deprecated See BEA Commerce product offering
  The average delivery time.

### carrier

    public String carrier

  Deprecated See BEA Commerce product offering
  The service provider used for delivery.

### saturdayDelivery

    public boolean saturdayDelivery

  Deprecated See BEA Commerce product offering
  True if ths shipping mechanism will deliver on a Saturday.

### price

    public Money price

  Deprecated See BEA Commerce product offering
  The base shipping cost.

### packagingType

    public String packagingType

  Deprecated See BEA Commerce product offering
  The packaging type.

### costCalculationMechanism

    public String costCalculationMechanism

  Deprecated See BEA Commerce product offering
  Used to specify one of the pre-programmed shipping cost calculation mechanisms.
  - Policy:Uses the Shipping Cost Calculation Policy to determine the total cost.
  - FlatRate: A single flat rate price is returned as specified in the price field.
  - PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost.
  - Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.

### method

    public String method

  Deprecated See BEA Commerce product offering
  The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..

### internationalDelivery

    public boolean internationalDelivery

  Deprecated See BEA Commerce product offering
  True if this mechanism will deliver internationally.

Constructor Detail

### ShippingMethodValue

    protected ShippingMethodValue()

  Deprecated See BEA Commerce product offering

  Only get/setShippingMethodByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved